- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sf_volume_manager – Manage SolidFire volumes

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | This Module has been replaced
Alternative: | please use na_elementsw_volume

## Synopsis

- Create, destroy, or update volumes on SolidFire

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
512emulation - |  | Should the volume provide 512-byte sector emulation? Required when `state=present`
access - | Choices: readOnly readWrite locked replicationTarget | Access allowed for the volume. readOnly: Only read operations are allowed. readWrite: Reads and writes are allowed. locked: No reads or writes are allowed. replicationTarget: Identify a volume as the target volume for a paired set of volumes. If the volume is not paired, the access status is locked. If unspecified, the access settings of the clone will be the same as the source.
account_id - / required |  | Account ID for the owner of this volume.
attributes - |  | A YAML dictionary of attributes that you would like to apply on this volume.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - / required |  | The name of the volume to manage.
password - / required |  | Password for the specified user. aliases: pass
qos - |  | Initial quality of service settings for this volume. Configure as dict in playbooks.
size - |  | The size of the volume in (size_unit). Required when `state = present`.
size_unit - | Choices: bytes b kb mb gb ← tb pb eb zb yb | The unit used to interpret the size parameter.
state - / required | Choices: present absent | Whether the specified volume should exist or not.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
volume_id - |  | The ID of the volume to manage or update. In order to create multiple volumes with the same name, but different volume_ids, please declare the volume_id parameter with an arbitrary value. However, the specified volume_id will not be assigned to the newly created volume (since it's an auto-generated property).

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Volume
      sf_volume_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: AnsibleVol
        qos: {minIOPS: 1000, maxIOPS: 20000, burstIOPS: 50000}
        account_id: 3
        enable512e: False
        size: 1
        size_unit: gb

    - name: Update Volume
      sf_volume_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: AnsibleVol
        account_id: 3
        access: readWrite

    - name: Delete Volume
      sf_volume_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: absent
        name: AnsibleVol
        account_id: 2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.